Bug 1011996 - Remove mysql dependency from DBAL package to separate package
Remove mysql dependency from DBAL package to separate package
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: php-doctrine-DoctrineDBAL (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 10:05 EDT by Sebastian
Modified: 2013-10-21 12:44 EDT (History)
1 user (show)

See Also:
Fixed In Version: php-doctrine-DoctrineDBAL-2.3.4-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-11 20:01:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastian 2013-09-25 10:05:13 EDT
As discussed previously with Shawn, the DBAL layer should not include a dependency to an actual database implementation.

"I don't know whether you decided on keeping everything as it is or whether to change the package – I just want to add that ZendFramework does split those components:

php-ZendFramework
php-ZendFramework-Db-Adapter-Pdo
php-ZendFramework-Db-Adapter-Pdo-Mysql

So they don't have a problem with requiring people to install another two packages.

I personally don't like anything that installs a database or other funny binaries if I don't really need them – sure you can disable it but it still makes me feel uncomfortable. Also, who is to decide which 'default' database should be supplied with an abstraction layer? Does MySQL have a better lobby than Firebird or PostgreSQL?"
Comment 1 Fedora Update System 2013-10-02 15:38:01 EDT
php-doctrine-DoctrineDBAL-2.3.4-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-doctrine-DoctrineDBAL-2.3.4-4.fc19
Comment 2 Fedora Update System 2013-10-02 15:38:10 EDT
php-doctrine-DoctrineDBAL-2.3.4-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-doctrine-DoctrineDBAL-2.3.4-4.fc18
Comment 3 Fedora Update System 2013-10-02 15:38:23 EDT
php-doctrine-DoctrineDBAL-2.3.4-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-doctrine-DoctrineDBAL-2.3.4-4.el6
Comment 4 Fedora Update System 2013-10-02 15:38:35 EDT
php-doctrine-DoctrineDBAL-2.3.4-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-doctrine-DoctrineDBAL-2.3.4-4.fc20
Comment 5 Fedora Update System 2013-10-03 13:40:03 EDT
Package php-doctrine-DoctrineDBAL-2.3.4-4.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing php-doctrine-DoctrineDBAL-2.3.4-4.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11746/php-doctrine-DoctrineDBAL-2.3.4-4.el6
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-10-11 20:01:19 EDT
php-doctrine-DoctrineDBAL-2.3.4-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-10-11 20:07:00 EDT
php-doctrine-DoctrineDBAL-2.3.4-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-10-12 00:24:37 EDT
php-doctrine-DoctrineDBAL-2.3.4-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-10-21 12:44:35 EDT
php-doctrine-DoctrineDBAL-2.3.4-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.